using System;

namespace Spojler_1.zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int ar = int.Parse(s[0]);
            int fr = int.Parse(s[1]);
            if (a - ar > b - fr && b - fr == 0)
            {
                Console.WriteLine("prvi");
            }
            if (a - ar < b - fr && a - ar == 0)
            {
                Console.WriteLine("drugi");
            }
            if (a - ar == b - fr)
            {
                Console.WriteLine("nijedan");
            }
            if ((a - ar > b - fr || b - fr > a - ar) && (a - ar != 0 && b - fr != 0))
            {
                Console.WriteLine("?");
            }
        }
    }
}